package com.ruoyi.ss.user.service.impl;

import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.ss.store.service.IStoreService;
import com.ruoyi.ss.user.domain.UserVO;
import com.ruoyi.ss.user.service.IUserAssembler;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户 业务层处理
 *
 * @author ruoyi
 */
@Slf4j
@Service
public class UserAssemblerImpl implements IUserAssembler {

    @Autowired
    private IStoreService storeService;

    /**
     * 拼接店铺数
     * @param list 用户列表
     */
    @Override
    public void assemblerStoreNum(List<UserVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }
        list.forEach(user -> {
            user.setStoreNum(storeService.selectCount(user.getUserId()));
        });
    }

}
